//
//  ViewController.swift
//  Lotto
//
//  Created by Holger Hinzberg on 26.08.15.
//  Copyright © 2015 Holger Hinzberg. All rights reserved.
//

import Cocoa

class ViewController: NSViewController
{
    @IBOutlet var label1:NSTextField?
    @IBOutlet var label2:NSTextField?
    @IBOutlet var label3:NSTextField?
    @IBOutlet var label4:NSTextField?
    @IBOutlet var label5:NSTextField?
    @IBOutlet var label6:NSTextField?
    
    @IBAction func lottoButtonClicked(object:AnyObject)
    {
        // Eine Instanz der Klasse LottoGenerator
        // erzeugen und sechs Zufallszahlen ermitteln
        let generator = LottoGenerator()
        let numbers:[Int] = generator.generate(6)
        
        // Werte aus dem Array an die
        // Steuerelemente übergeben
        label1?.integerValue = numbers[0]
        label2?.integerValue = numbers[1]
        label3?.integerValue = numbers[2]
        label4?.integerValue = numbers[3]
        label5?.integerValue = numbers[4]
        label6?.integerValue = numbers[5]
    }
    
    @IBAction func deleteButtonClicked(object:AnyObject)
    {
        self.clearLabels()
    }
    
    func clearLabels()
    {
        // Die Inhalte der Bezeichnungsfelder leeren
        label1?.stringValue = ""
        label2?.stringValue = ""
        label3?.stringValue = ""
        label4?.stringValue = ""
        label5?.stringValue = ""
        label6?.stringValue = ""
    }
    
    override func viewDidLoad()
    {
        super.viewDidLoad()
        self.clearLabels()
    }

    override var representedObject: AnyObject? {
        didSet {
        // Update the view, if already loaded.
        }
    }


}

